<?php

declare(strict_types=1);

namespace Dedi\SyliusDpdPickUpPlugin\Model;

use Sylius\Component\Core\Model\AddressInterface;

class Location
{
    public ?string $address;
    public ?string $zipCode;
    public ?string $city;
    public string $countryCode;

    public static function fromAddress(AddressInterface $address): self
    {
        $location = new self();
        $location->address = $address->getStreet() ?? '';
        $location->zipCode = $address->getPostcode() ?? '';
        $location->city = $address->getCity() ?? '';
        $location->countryCode = $address->getCountryCode() ?? '';

        return $location;
    }
}
