<?php

declare(strict_types=1);

namespace Dedi\SyliusDpdPickUpPlugin\Specification;

use Sylius\Component\Addressing\Model\CountryInterface;
use Sylius\Component\Core\Model\AddressInterface;
use Sylius\Component\Resource\Repository\RepositoryInterface;

class DoesAddressRequireProvinceCodeSpecification
{
    private readonly RepositoryInterface $countryRepository;

    public function __construct(
        RepositoryInterface $countryRepository,
    ) {
        $this->countryRepository = $countryRepository;
    }

    public function __invoke(AddressInterface $address): bool
    {
        /** @var CountryInterface $country */
        $country = $this->countryRepository->findOneBy(['code' => $address->getCountryCode()]);

        return $country->hasProvinces();
    }
}
